<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">

<title>reBOOT Backgrounds</title>

<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css">
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Open+Sans">

<script src="../../js/plugins/lazysizes/lazysizes.min.js"></script>
<script src="../../js/plugins/lazysizes/plugins/bgset/ls.bgset.min.js"></script>
<script src="../../js/plugins/lazysizes/plugins/unveilhooks/ls.unveilhooks.min.js"></script>

<style>
body { padding-top: 50px; font-family: 'Open Sans', sans-serif; }
header { position: fixed; z-index: 999; top: 0; background: #ccc; background: linear-gradient(#fff,#ccc); background: -webkit-linear-gradient(#fff,#ccc); border-bottom: 1px solid #000; }
.c1 { width: 100%; height: 200px; }
.c2 { width: 100%; height: 200px; border: 1px solid #666; }
.c3 { width: 100%; height: auto; border: 1px solid #666; }
.back-to-top { position: fixed; bottom: 10px; right: 10px; }
.lazyloaded:hover { cursor: pointer; }
input.the-filename { width: 32%; display: inline; }
.back { display: none; }
</style>

</head>
<body>

<header class="w-100">
<div class="row no-gutters align-items-center p-3">
<div class="col-md-9 text-center text-sm-center text-md-left mb-4 mb-sm-4 mb-md-0">
<input onclick="this.select()" placeholder="Filename" class="the-filename form-control text-monospace filename one" type="text" value="Smarty Path">
<input onclick="this.select()" placeholder="Filename" class="the-filename form-control text-monospace filename two" type="text" value="Relative Path">
<input onclick="this.select()" placeholder="Filename" class="the-filename form-control text-monospace filename three" type="text" value="Filename">
</div>
<div class="col-md-3 text-center text-sm-center text-md-right">
<div class="input-group mb-0">
  <div class="input-group-prepend"><span class="input-group-text bg-light">Background</span></div>
  <input type="text" value="" id="bg-color" class="form-control jscolor {hash:true}">
</div>
</div>
</div>
</header>

<div class="container-fluid mt-5">

<div class="text-center"><a class="btn btn-primary back shadow" href="#"><i class="fa fa-angle-left"></i> BACK</a></div>

<div class="hide">
<h5 class="text-center"><b>A mix of optimised transparent & solid, tiles & background images that may help with your project.</b></h5>
<p class="text-center mb-4"><small><b>Click on the images to preview and get the paths.</b></small></p>
</div>

<div class="row">
<?php 

$tiles = glob("tile-*.{png}",GLOB_BRACE);
for ($i=0; $i<count($tiles); $i++) {
	$tsize = filesize($tiles[$i]);
	$tsize = round(($tsize / 1024), 2);
	$tile = $tiles[$i];
	echo '<div class="hide col-6 col-sm-6 col-md-3 col-lg-3 col-xl-2 mb-4">';
	echo '<a id="' . $tile . '"></a>';
	echo '<div class="box c1"><div class="c2 lazyload the-image" data-image="' . $tile . '" src="data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw==" data-bg="' . $tile . '"></div></div>';
	echo '<div class="text-center mt-2"><span class="badge badge-secondary">' . $tile . '</span><br><span class="badge badge-primary">' . $tsize . 'k</span></div><br>';
	echo '</div>';
}

$images = glob("image-*.{png}",GLOB_BRACE);
for ($i=0; $i<count($images); $i++) {
	$isize = filesize($images[$i]);
	$isize = round(($isize / 1024), 2);
	$image = $images[$i];
	echo '<div class="hide col-12 mb-4">';
	echo '<a id="' . $image . '"></a>';
	echo '<div class="box c3 text-center"><img class="lazyload img-fluid the-image" data-image="' . $image . '" src="data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw==" data-src="' . $image .'" alt="">'."</div>";
	echo '<div class="text-center mt-2"><span class="badge badge-secondary">' . $image . '</span><br><span class="badge badge-primary">' . $isize . 'k</span></div><br>';
	echo '</div>';
}

?>
</div>
<a class="btn btn-primary back-to-top shadow" href="#"><i class="fa fa-angle-up"></i> TOP</a>

</div>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.2.4/jquery.min.js"></script>
<script src="../../js/plugins/jscolor.js"></script>

<script>
$(document).ready(function() {

  $("#bg-color").change(function() {
    $("body, .box").css("background-color", $(this).val());
  });

  $('.the-image').on('click', function() {
    var $image = $(this).attr('data-image');
    $('input.filename.one').val('').val('{$AltImagesDir}/backgrounds/'+$image);
    $('input.filename.two').val('').val('../skin/images/backgrounds/'+$image);
    $('input.filename.three').val('').val($image);
    $('body').css('background-image', 'url('+$image+')');
    $('.box').css('background-color', '#fff');
    $('.hide').hide();
    $('.back-to-top').hide();
    $('.back').show().attr('href','#'+$image);
  });

  $('.back').on('click', function() {
    $(this).hide();
    $('.hide').show();
    $('.back-to-top').show();
	$('.box').css('background-color', '#fff');
  });

});
</script>

</body>
</html>